> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypulse.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# List plans



## OpenAPI

````yaml GET /api/v1/plans
openapi: 3.1.0
info:
  title: Paypulse
  description: Subscription billing platform with Nomba payment integration
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/plans:
    get:
      tags:
        - plans
      summary: List Plans
      operationId: list_plans_api_v1_plans_get
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PlanResponse'
                title: Response List Plans Api V1 Plans Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PlanResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        amount:
          type: number
          title: Amount
        currency:
          type: string
          title: Currency
        interval:
          type: string
          title: Interval
        interval_count:
          type: integer
          title: Interval Count
        trial_period_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trial Period Days
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - amount
        - currency
        - interval
        - interval_count
        - trial_period_days
        - is_active
        - created_at
      title: PlanResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````